<?php
  /**
   * The following constants are debug constants.
   */

  /**
   * if this constant is true, the framework displays an alert
   * (each time that the function GoTo() is called
   */
define("DEBUG_GOTO", false);

/**
 * if this constant is true, the framework outputs the state
 * variables of each webox in HTML format
 */
define("DEBUG_STATEVARS", false);

/**
 * if this constant is true, the framework outputs the tree
 * structure of the templates of the page
 */
define("DEBUG_TEMPLATES", false);

/**
 * if this constant is true, the framework outputs a box 
 * around each file that is included in the page
 */
define("DEBUG_INCLUDES", false);

/**
 * if this constant is true, the framework outputs a box 
 * around each webobject that is used in the page
 */
define("DEBUG_WEBOBJECTS", false);

/**
 * if this constant is true, the framework outputs all the 
 * recordsets of the page and their contents
 */
define("DEBUG_RECORDSETS", false);

/**
 * if this constant is true, the framework outputs information
 * about the execution time of several processes
 */
define("EXECUTION_TIME_INFO", false);

/**
 * If this constant is true, the framework outputs the external
 * link that can be used to jump right to the current page of
 * the application from any external page.
 * See also DISPLAY_CGI_VARS at const.Options.php.
 */
define("SHOW_EXTERNAL_LINK", false);

/**
 * if this constant is false than the framework suppresses
 * all the error and warning messages (that are generated by the
 * framework); usually this is true during the development and
 * is switched to false when the application is deployed, in order
 * not to confuse the users of the application with error messages
 * that have no meaning for them
 */ 
define("SHOW_ERROR_MESSAGES", true);
?>